Skip to main content
POST
/
servers
/
{server_id}
/
reinstall
Python (SDK)
import latitudesh_python_sdk
from latitudesh_python_sdk import Latitudesh
import os


with Latitudesh(
    bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:

    latitudesh.servers.reinstall(server_id="sv_aNmodj6ydbE8W", data={
        "type": latitudesh_python_sdk.CreateServerReinstallServersType.REINSTALLS,
        "attributes": {
            "operating_system": latitudesh_python_sdk.CreateServerReinstallServersOperatingSystem.IPXE,
            "hostname": "BRC1",
            "ipxe": "https://some-host.com/image.ipxe",
        },
    })

    # Use the SDK ...
{}

Authorizations

Authorization
string
header
required

Path Parameters

server_id
string
required

Body

data
object
required

Response

201 - application/vnd.api+json

Created